Cannot activate PDF light viewer plugin

QuestionsCategory: PDF Light ViewerCannot activate PDF light viewer plugin
Hadi AlArab asked 5 years ago
I am getting the following error when I try to activate the PDF light viewer:
 
Plugin could not be activated because it triggered a fatal error.

Parse error: syntax error, unexpected T_STATIC in /home1/gulfoeco/public_html/gulfoe/wp-content/plugins/pdf-light-viewer/controllers/Plugin.php on line 266
 
My PHP Version is 5.6.29
WP Version 4.7.2
super
Staff replied 5 years ago

Hello Hadi, as far as I know this error appears for versions of PHP lower than phjp 5.3 ( http://php.net/manual/en/language.oop5.late-static-bindings.php ), so not sure how could you get it. How did you check your PHP version? Did you use phpinfo() ( https://support.wp.teamlead.pw/dwkb/phpinfo/ ) ?